<?php

/*
 * Squelette : squelettes/inc/inc-footer.html
 * Date :      Mon, 18 Jul 2016 07:20:10 GMT
 * Compile :   Mon, 18 Jul 2016 07:20:13 GMT
 * Boucles :   _abt, _main_menu, _author, _athr_rub
 */ 

function BOUCLE_abthtml_880f52b8e0a76bd6fb304406536db678(&$Cache, &$Pile, &$doublons, &$Numrows, $SP) {

	static $command = array();
	static $connect;
	$command['connect'] = $connect = '';
	if (!isset($command['table'])) {
		$command['table'] = 'rubriques';
		$command['id'] = '_abt';
		$command['from'] = array('rubriques' => 'spip_rubriques');
		$command['type'] = array();
		$command['groupby'] = array();
		$command['select'] = array("rubriques.descriptif",
		"rubriques.lang",
		"rubriques.titre");
		$command['orderby'] = array();
		$command['where'] = 
			array(
quete_condition_statut('rubriques.statut','!','publie',''), 
			array('=', 'rubriques.id_rubrique', "2"));
		$command['join'] = array();
		$command['limit'] = '';
		$command['having'] = 
			array();
	}
	if (defined("_BOUCLE_PROFILER")) $timer = time()+microtime();
	$t0 = "";
	// REQUETE
	$iter = IterFactory::create(
		"SQL",
		$command,
		array('squelettes/inc/inc-footer.html','html_880f52b8e0a76bd6fb304406536db678','_abt',8,$GLOBALS['spip_lang'])
	);
	if (!$iter->err()) {
	lang_select($GLOBALS['spip_lang']);
	$SP++;
	// RESULTATS
	while ($Pile[$SP]=$iter->fetch()) {

		lang_select_public($Pile[$SP]['lang'], '', $Pile[$SP]['titre']);
		$t0 .= (
'
                              <h4 class="footer-module-title">About this site</h4>
                              <div class="footer-module-body m-t-20 clearfix">
                                 <p><span class="pull-left"><img src="assets/images/footer-logo.png" alt="" width="75" height="75"></span>' .
interdire_scripts(couper(propre($Pile[$SP]['descriptif'], $connect, $Pile[0]),'170','...')) .
'</p>
                              </div>
									');
		lang_select();
	}
	lang_select();
	$iter->free();
	}
	if (defined("_BOUCLE_PROFILER")
	AND 1000*($timer = (time()+microtime())-$timer) > _BOUCLE_PROFILER)
		spip_log(intval(1000*$timer)."ms BOUCLE_abt @ squelettes/inc/inc-footer.html","profiler"._LOG_AVERTISSEMENT);
	return $t0;
}


function BOUCLE_main_menuhtml_880f52b8e0a76bd6fb304406536db678(&$Cache, &$Pile, &$doublons, &$Numrows, $SP) {

	static $command = array();
	static $connect;
	$command['connect'] = $connect = '';
	if (!isset($command['table'])) {
		$command['table'] = 'rubriques';
		$command['id'] = '_main_menu';
		$command['from'] = array('rubriques' => 'spip_rubriques');
		$command['type'] = array();
		$command['groupby'] = array();
		$command['select'] = array("0+rubriques.id_rubrique AS num",
		"rubriques.id_rubrique",
		"rubriques.titre",
		"rubriques.lang");
		$command['orderby'] = array('num');
		$command['where'] = 
			array(
quete_condition_statut('rubriques.statut','!','publie',''), 
			array('=', 'rubriques.id_parent', 0), 
			array('NOT', 
			array('=', 'rubriques.titre', "'home'")));
		$command['join'] = array();
		$command['limit'] = '';
		$command['having'] = 
			array();
	}
	if (defined("_BOUCLE_PROFILER")) $timer = time()+microtime();
	$t0 = "";
	// REQUETE
	$iter = IterFactory::create(
		"SQL",
		$command,
		array('squelettes/inc/inc-footer.html','html_880f52b8e0a76bd6fb304406536db678','_main_menu',22,$GLOBALS['spip_lang'])
	);
	if (!$iter->err()) {
	lang_select($GLOBALS['spip_lang']);
	$SP++;
	// RESULTATS
	while ($Pile[$SP]=$iter->fetch()) {

		lang_select_public($Pile[$SP]['lang'], '', $Pile[$SP]['titre']);
		$t0 .= (
'
                                    <li><a href="' .
vider_url(urlencode_1738(generer_url_entite($Pile[$SP]['id_rubrique'], 'rubrique', '', '', true))) .
'">' .
interdire_scripts(typo(supprimer_numero($Pile[$SP]['titre']), "TYPO", $connect, $Pile[0])) .
'</a></li>
											');
		lang_select();
	}
	lang_select();
	$iter->free();
	}
	if (defined("_BOUCLE_PROFILER")
	AND 1000*($timer = (time()+microtime())-$timer) > _BOUCLE_PROFILER)
		spip_log(intval(1000*$timer)."ms BOUCLE_main_menu @ squelettes/inc/inc-footer.html","profiler"._LOG_AVERTISSEMENT);
	return $t0;
}


function BOUCLE_authorhtml_880f52b8e0a76bd6fb304406536db678(&$Cache, &$Pile, &$doublons, &$Numrows, $SP) {

	static $command = array();
	static $connect;
	$command['connect'] = $connect = '';
	if (!isset($command['table'])) {
		$command['table'] = 'articles';
		$command['id'] = '_author';
		$command['from'] = array('articles' => 'spip_articles');
		$command['type'] = array();
		$command['groupby'] = array();
		$command['select'] = array("articles.date",
		"articles.id_rubrique",
		"articles.author",
		"articles.lang",
		"articles.titre");
		$command['orderby'] = array('articles.date DESC');
		$command['join'] = array();
		$command['limit'] = '';
		$command['having'] = 
			array();
	}
	$command['where'] = 
			array(
quete_condition_statut('articles.statut','publie,prop,prepa/auteur','publie',''), 
quete_condition_postdates('articles.date',''), 
			array('=', 'articles.id_rubrique', sql_quote($Pile[$SP]['id_rubrique'],'','bigint(21) NOT NULL DEFAULT \'0\'')));
	if (defined("_BOUCLE_PROFILER")) $timer = time()+microtime();
	$t0 = "";
	// REQUETE
	$iter = IterFactory::create(
		"SQL",
		$command,
		array('squelettes/inc/inc-footer.html','html_880f52b8e0a76bd6fb304406536db678','_author',35,$GLOBALS['spip_lang'])
	);
	if (!$iter->err()) {
	lang_select($GLOBALS['spip_lang']);
	$SP++;
	// RESULTATS
	while ($Pile[$SP]=$iter->fetch()) {

		lang_select_public($Pile[$SP]['lang'], '', $Pile[$SP]['titre']);
		$t0 .= (
'
                                    <li><a href="' .
vider_url(urlencode_1738(generer_url_entite($Pile[$SP]['id_rubrique'], 'rubrique', '', '', true))) .
'">' .
interdire_scripts($Pile[$SP]['author']) .
'</a></li>
												');
		lang_select();
	}
	lang_select();
	$iter->free();
	}
	if (defined("_BOUCLE_PROFILER")
	AND 1000*($timer = (time()+microtime())-$timer) > _BOUCLE_PROFILER)
		spip_log(intval(1000*$timer)."ms BOUCLE_author @ squelettes/inc/inc-footer.html","profiler"._LOG_AVERTISSEMENT);
	return $t0;
}


function BOUCLE_athr_rubhtml_880f52b8e0a76bd6fb304406536db678(&$Cache, &$Pile, &$doublons, &$Numrows, $SP) {

	static $command = array();
	static $connect;
	$command['connect'] = $connect = '';
	if (!isset($command['table'])) {
		$command['table'] = 'rubriques';
		$command['id'] = '_athr_rub';
		$command['from'] = array('rubriques' => 'spip_rubriques');
		$command['type'] = array();
		$command['groupby'] = array();
		$command['select'] = array("rubriques.id_rubrique",
		"rubriques.lang",
		"rubriques.titre");
		$command['orderby'] = array();
		$command['where'] = 
			array(
quete_condition_statut('rubriques.statut','!','publie',''), 
			array('=', 'rubriques.id_rubrique', "3"));
		$command['join'] = array();
		$command['limit'] = '';
		$command['having'] = 
			array();
	}
	if (defined("_BOUCLE_PROFILER")) $timer = time()+microtime();
	$t0 = "";
	// REQUETE
	$iter = IterFactory::create(
		"SQL",
		$command,
		array('squelettes/inc/inc-footer.html','html_880f52b8e0a76bd6fb304406536db678','_athr_rub',33,$GLOBALS['spip_lang'])
	);
	if (!$iter->err()) {
	lang_select($GLOBALS['spip_lang']);
	$SP++;
	// RESULTATS
	while ($Pile[$SP]=$iter->fetch()) {

		lang_select_public($Pile[$SP]['lang'], '', $Pile[$SP]['titre']);
		$t0 .= (
'
                                 <ul class="list-unstyled link-list">
												' .
BOUCLE_authorhtml_880f52b8e0a76bd6fb304406536db678($Cache, $Pile, $doublons, $Numrows, $SP) .
'
                                 </ul>
										');
		lang_select();
	}
	lang_select();
	$iter->free();
	}
	if (defined("_BOUCLE_PROFILER")
	AND 1000*($timer = (time()+microtime())-$timer) > _BOUCLE_PROFILER)
		spip_log(intval(1000*$timer)."ms BOUCLE_athr_rub @ squelettes/inc/inc-footer.html","profiler"._LOG_AVERTISSEMENT);
	return $t0;
}

//
// Fonction principale du squelette squelettes/inc/inc-footer.html
// Temps de compilation total: 4.030 ms
//

function html_880f52b8e0a76bd6fb304406536db678($Cache, $Pile, $doublons = array(), $Numrows = array(), $SP = 0) {

	if (isset($Pile[0]["doublons"]) AND is_array($Pile[0]["doublons"]))
		$doublons = nettoyer_env_doublons($Pile[0]["doublons"]);

	$connect = '';
	$page = (
'<footer class="footer clearfix">
               <div class="margin-top-10">
                  <div class="container inner-top-vs">
                     <!-- ============================================== FOOTER-TOP ============================================== -->
                     <div class="row">
                        <div class="col-md-3 col-sm-4">
                           <div class="footer-module">
									' .
BOUCLE_abthtml_880f52b8e0a76bd6fb304406536db678($Cache, $Pile, $doublons, $Numrows, $SP) .
'	
                           </div>
                        </div>
                        <div class="col-md-3 col-sm-4">
                           <div class="footer-module">
                              <h4 class="footer-module-title">Categories</h4>
                              <div class="footer-module-body clearfix">
                                 <ul class="list-unstyled link-list">
												<li><a href="' .
spip_htmlspecialchars(sinon($GLOBALS['meta']['adresse_site'],'.')) .
'">Home</a></li>
											' .
BOUCLE_main_menuhtml_880f52b8e0a76bd6fb304406536db678($Cache, $Pile, $doublons, $Numrows, $SP) .
'	
                                 </ul>
                              </div>
                           </div>
                        </div>
                        <div class="col-md-3 col-sm-4 clearfix ">
                           <div class="footer-module">
                              <h4 class="footer-module-title">Authors</h4>
                              <div class="footer-module-body clearfix">
										' .
BOUCLE_athr_rubhtml_880f52b8e0a76bd6fb304406536db678($Cache, $Pile, $doublons, $Numrows, $SP) .
'	
                              </div>
                           </div>
                        </div>
                        <div class="col-md-3 col-sm-12">
                           <div class="footer-module">
                              <h4 class="footer-module-title">connect</h4>
                              <div class="footer-module-body clearfix">
                                 <ul class="clearfix list-unstyled footer-social-contact">
                                    <li><a href="#" class="fa fa-facebook" title="Facebook"></a></li>
                                    <li><a href="#" class="fa fa-pinterest" title="Pinterest"></a></li>
                                    <li><a href="#" class="fa fa-linkedin" title="Linkedin"></a></li>
                                    <li><a href="#" class="fa fa-twitter" title="Twitter"></a></li>
                                    <li><a href="#" class="fa fa-google-plus" title="Google Plus"></a></li>
                                    <li><a href="#" class="fa fa-rss" title="Rss"></a></li>
                                    <li><a href="#" class="fa fa-instagram" title="Instagram"></a></li>
                                 </ul>
                                 <div class="inner-top-xs">
                                    <p>Subscribe to our weekly newsletter.</p>
                                    <form class="searchform" action="http://inspectelement.com/">
                                       <input class="s" type="text" placeholder="Email Address" name="s" value="">
                                       <input class="searchsubmit" type="submit" value="Subscribe">
                                    </form>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                     <!-- ============================================== FOOTER-TOP : END ============================================== --> 
                     <hr>
                     <!-- ============================================== FOOTER-BOTTOM ============================================== -->
                     <div class="row">
                        <div class="col-md-12">
                           <p class="copyright-footer pull-right">&copy; ' .
interdire_scripts(annee(normaliser_date(@$Pile[0]['date']))) .
' ' .
interdire_scripts(typo($GLOBALS['meta']['nom_site'], "TYPO", $connect, $Pile[0])) .
'. All rights reserved.</p>
                        </div>
                     </div>
                     <!-- ============================================== FOOTER-BOTTOM : END ============================================== --> 
                  </div>
               </div>
            </footer>');

	return analyse_resultat_skel('html_880f52b8e0a76bd6fb304406536db678', $Cache, $page, 'squelettes/inc/inc-footer.html');
}
?>